SingleInstanceLockFactory (Lucene 2.4.1 API)
Keywords: org.apache.lucene.store.SingleInstanceLockFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store
Class SingleInstanceLockFactory

    java.lang.Object
      org.apache.lucene.store.LockFactory
          org.apache.lucene.store.SingleInstanceLockFactory

    public class SingleInstanceLockFactory

extends LockFactory

Implements `LockFactory` for a single in-process instance, meaning all locking will take place through this one instance. Only use this `LockFactory` when you are certain all IndexReaders and IndexWriters for a given index are running against a single shared in-process Directory instance. This is currently the default locking for RAMDirectory.

See Also:
  `LockFactory`

Field Summary

Fields inherited from class org.apache.lucene.store.LockFactory
`lockPrefix`

Constructor Summary
`SingleInstanceLockFactory()`

Method Summary
`void` | `clearLock(String lockName)` Attempt to clear (forcefully unlock and remove) the specified lock.
`Lock` | `makeLock(String lockName)` Return a new Lock instance identified by lockName.

Methods inherited from class org.apache.lucene.store.LockFactory
`getLockPrefix, setLockPrefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleInstanceLockFactory

    public SingleInstanceLockFactory()

Method Detail

### makeLock

    public Lock makeLock(String lockName)

  Description copied from class: `LockFactory`
  Return a new Lock instance identified by lockName.

  Specified by:
    `makeLock` in class `LockFactory`
  Parameters:
    `lockName` - name of the lock to be created.

### clearLock

    public void clearLock(String lockName)
                   throws IOException

  Description copied from class: `LockFactory`
  Attempt to clear (forcefully unlock and remove) the specified lock. Only call this at a time when you are certain this lock is no longer in use.

  Specified by:
    `clearLock` in class `LockFactory`
  Parameters:
    `lockName` - name of the lock to be cleared.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.